@base <https://purl.org/coscine/ap/qudt/quantitykind/MolarEnergy/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/MolarEnergy/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Molar Energy sind."@de,
    "Profile for all units that are a/an Molar Energy."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Molar Energy"@de,
    "Unit: Molar Energy"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:J-PER-MOL unit:KiloCAL-PER-MOL unit:KiloJ-PER-MOL ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:J-PER-MOL rdfs:label "Joule Je Mol"@de, "Dżul Na Mol"@pl, "Joule Alla Mole"@it, "Joule Bölü Metre Küp"@tr, "Joule Na Mol"@cs, "Joule Na Mol"@sl, "Joule Par Mole"@fr, "Joule Pe Mol"@ro, "Joule Per Mole"@en, "Joule Per Mole"@ms, "Joule Por Mol"@pt, "Julio Por Mol"@es, "Джоуль На Моль"@ru, "جول لكل مول"@ar, "ژول بر مول"@fa, "जूल प्रति मोल (इकाई)"@hi, "ジュール毎立方メートル"@ja, "焦耳每摩尔"@zh .
unit:KiloCAL-PER-MOL rdfs:label "Kilocalorie Per Mole"@en .
unit:KiloJ-PER-MOL rdfs:label "Kilojoule Per Mole"@en .
